#include "global.h"

point *point_array;
point *service_array;

int init_point_array(char *filename)
{
  int i;
  double x, y;
  FILE *in;

  in = fopen(filename, "r");
  fscanf(in, "%d", &num_demand_points);

  num_service_set_size = num_demand_points;

  point_array = (point *)malloc(num_demand_points*sizeof(point));
  if (!point_array)
    return 0;
  
  service_array = (point *)malloc(num_service_set_size*sizeof(point));
  if (!service_array)
    return 0;
  
  for (i=0; i<num_demand_points; i++)
    {
      fscanf(in, "%lf %lf", &x, &y);
      service_array[i].x = point_array[i].x = x;
      service_array[i].y = point_array[i].y = y;
    }
  return 1;
}
