#include "global.h"

void simple_circle(int index1, int index2, circle *out)
{
  out->x = service_array[index2].x;
  out->y = service_array[index2].y;
  out->r = (out->x-point_array[index1].x)*
    (out->x-point_array[index1].x) +
    (out->y-point_array[index1].y)*
    (out->y-point_array[index1].y);
}

char in_circle(circle *c, int index, double *dist)
{
  *dist = (point_array[index].x-c->x)*(point_array[index].x-c->x) +
    (point_array[index].y-c->y)*(point_array[index].y-c->y);
  return (*dist <= c->r * (1 + EPSILON));
}

void circle_copy(circle *c1, circle *c2)
{
  c1->x = c2->x;
  c1->y = c2->y;
  c1->r = c2->r;
}
